Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.security
Class JBoss14Crypto

    java.lang.Object
      org.apache.ws.security.components.crypto.Merlin
          org.jboss.net.axis.security.JBoss14Crypto

All Implemented Interfaces:
  org.apache.ws.security.components.crypto.Crypto, JBossCrypto

public class JBoss14Crypto
extends org.apache.ws.security.components.crypto.Merlin
implements JBossCrypto

Title:
  JBoss14Crypto

Description:
  Crypto implementation that can be instantiated with a given keystore (presumably obtained from the SecurityDomain) rather than the properties file expected by Merlin.

Version:
  $Revision: 1.3 $
Author:
  Jason Essington

Field Summary

Fields inherited from class org.apache.ws.security.components.crypto.Merlin
`certFact, keystore, properties`

Constructor Summary
`JBoss14Crypto(KeyStore keystore)`

Method Summary
`String` | `getAliasForX500Principal(X500Principal dn)`

Methods inherited from class org.apache.ws.security.components.crypto.Merlin
`getAliasesForDN, getAliasForX509Cert, getAliasForX509Cert, getAliasForX509Cert, getCertificateData, getCertificateFactory, getCertificates, getDefaultX509Alias, getKeyStore, getPrivateKey, getSKIBytesFromCert, getX509Certificates, load, loadCertificate, setKeyStore, validateCertPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ws.security.components.crypto.Crypto
`getAliasesForDN, getAliasForX509Cert, getAliasForX509Cert, getAliasForX509Cert, getCertificateData, getCertificateFactory, getCertificates, getDefaultX509Alias, getKeyStore, getPrivateKey, getSKIBytesFromCert, getX509Certificates, loadCertificate, validateCertPath`

Constructor Detail

### JBoss14Crypto

    public JBoss14Crypto(KeyStore keystore)
                  throws Exception

Method Detail

### getAliasForX500Principal

    public String getAliasForX500Principal(X500Principal dn)
                                    throws Exception

  Specified by:
    `getAliasForX500Principal` in interface `JBossCrypto`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.